import matplotlib.pyplot as plt
import pandas as pd

data = pd.read_csv(
    'C:\\myDrive\\Rajesh\\DotNetCore\\pilot_csv\\wavelength.csv')
x = pd.read_csv('C:\\myDrive\\Rajesh\\DotNetCore\\pilot_csv\\front_I.csv')
y = pd.read_csv('C:\\myDrive\\Rajesh\\DotNetCore\\pilot_csv\\back_I.csv')

plt.pcolormesh(x.T, y, data.T, cmap="jet")
plt.colorbar(label="Wavelength (nm)")
plt.xlabel("Front current (mA)")
plt.ylabel("Back current (mA)")
plt.savefig("wavelength")
plt.show()
